library PBMDDJ;

uses
  SysUtils,                     
  classes,
  forms,                                               
  WinTypes,
  WinProcs,
  U_GetDllForm in 'U_GetDllForm.pas',
  U_RTFun in '..\..\..\RTFunAndForm\Fun\U_RTFun.pas',
  U_ModuleNote in 'U_ModuleNote.pas' {frmModuleNote},
  U_DataLink in 'U_DataLink.pas' {DataLink_PBMDDJ: TDataModule},
  U_GYSList in 'U_GYSList.pas' {frmGYSList},
  U_ZDYHelpSel in 'U_ZDYHelpSel.pas' {frmZDYHelpSel},
  U_iniParam in 'U_iniParam.pas',
  U_ZDYHelp in 'U_ZDYHelp.pas' {frmZDYHelp},
  U_GYSSelList in 'U_GYSSelList.pas' {frmGYSSelList},
  U_YZRKList in 'U_YZRKList.pas' {frmYZRKList},
  U_YZInPut in 'U_YZInPut.pas' {frmYZInPut},
  U_ZdyAttachGYS in 'U_ZdyAttachGYS.pas' {frmZdyAttachGYS},
  U_ProductOrderListPBSel in 'U_ProductOrderListPBSel.pas' {frmProductOrderListpbSel},
  U_DJQTCKPut in 'U_DJQTCKPut.pas' {frmDJQTCKPut},
  U_ShaKCList in 'U_ShaKCList.pas' {frmShaKCList},
  U_DJQTCKList in 'U_DJQTCKList.pas' {frmDJQTCKList},
  U_WJGCKKCList in 'U_WJGCKKCList.pas' {frmWJGCKKCList},
  U_DJQTKCList in 'U_DJQTKCList.pas' {frmDJQTKCList},
  U_ZdyAttachCP in 'U_ZdyAttachCP.pas' {frmZdyAttachCP},
  U_ClothContractListHZSel in 'U_ClothContractListHZSel.pas' {frmClothContractListHZsel},
  U_ClothContractListHZHelp in 'U_ClothContractListHZHelp.pas' {frmClothContractListHZHelp},
  U_ClothContractListHelp in 'U_ClothContractListHelp.pas' {frmClothContractListHelp},
  U_SXDZInPut in 'U_SXDZInPut.pas' {frmSXDZInPut},
  U_SXCKNewList in 'U_SXCKNewList.pas' {frmSXCKNewList},
  U_SXCKOutPut in 'U_SXCKOutPut.pas' {frmSXCKOutPut},
  U_SXCKInPut in 'U_SXCKInPut.pas' {frmSXCKInPut};

{$R *.res}

procedure DllEnterPoint(dwReason: DWORD);far;stdcall;
begin
  DLLProc := @DLLEnterPoint;
  DllEnterPoint(DLL_PROCESS_ATTACH);
end;

procedure DLLUnloadProc(Reason: Integer); register;
begin
  {if (Reason = DLL_PROCESS_DETACH) or (Reason=DLL_THREAD_DETACH) then
     Application:=NewDllApp;   }
end;
exports
   GetDllForm;
begin
  try
    NewDllApp:=Application;
    DLLProc := @DLLUnloadProc;
  except

  end;
end.

